Bug 188798 - CVE-2006-1724 Crashes with evidence of memory corruption (1.5.0.2)
Summary: CVE-2006-1724 Crashes with evidence of memory corruption (1.5.0.2)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 02:26 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 12:40:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 02:26:08 UTC
Crashes with evidence of memory corruption (1.5.0.2)


As  part of the Firefox 1.5.0.2 release we fixed several crash bugs to
improve the stability of the product, with a particular focus on finding
crashes caused by DHTML. Some of these crashes showed evidence of memory
corruption that we presume could be exploited to run arbitrary code with
enough effort.

Note:  Thunderbird shares the browser engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
the mail portion of SeaMonkey.

References

Also fixed in Firefox/Thunderbird 1.0.8, Mozilla Suite 1.7.13
[1]https://bugzilla.mozilla.org/show_bug.cgi?id=282105
Muck with the boxobject's internal frame pointer.
CVE-2006-1724


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-24 12:49:59 UTC
Lifting embargo

Comment 2 David Eisenstein 2006-10-02 12:24:36 UTC
So was this ever fixed in FC5?  FC4?  With Seamonkey, maybe?

Comment 3 David Eisenstein 2006-10-02 12:40:14 UTC
Ah.  I see that this was indeed fixed on 2006-05-03, for both FC4 and FC5
(but not mentioned in the advisories.)  The update to Mozilla-1.7.13 fixed
this issue along with the others mentioned.

This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Going ahead and closing this ERRATA.


Note You need to log in before you can comment on or make changes to this bug.